Installer - Feature #30284

Provide clearer Smart Proxy registration errors with as much context as possible based on the error
07/01/2020 06:23 PM - Eric Helms

Status: Closed

Priority: Normal
Assignee: William Clark
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases: 2.4.0
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-for

eman/pull/865,
https://github.com/theforeman/puppet-for
eman/pull/912

Description
Handle the following:

* Apache can be down
* Connection refused or connection timeout
* Foreman can be down
* HTTP 502 or 503
* Foreman can throw an error
* Does not always return a proper error message
* Need to check/fix Foreman to return a proper JSON structured error message
* Typically a 500
* Authorization error
* Show a proper invalid credentials error
* Instruct users where to look for error messages
* Include in error message to look in production.log when appropriate

Related issues:
Related to Foreman - Bug #30285: Smart proxy registration API does not always... New

Associated revisions

Revision d0bfd990 - 01/27/2021 06:53 PM - William Clark

Fixes #30284 - Improve smartproxy registration failure error messages

History

#1 - 07/01/2020 06:23 PM - Eric Helms
- Description updated

#2 - 07/01/2020 06:23 PM - Eric Helms
- Description updated

#3 - 07/01/2020 06:25 PM - Eric Helms
- Related to Bug #30285: Smart proxy registration APl does not always return a structured JSON error response added

#4 - 07/01/2020 06:25 PM - Eric Helms
- Pull request https://github.com/theforeman/puppet-foreman/pull/865 added

#5 - 07/01/2020 06:26 PM - Eric Helms

- Target version set to 2.2.0

#6 - 07/27/2020 11:03 AM - Ewoud Kohl van Wijngaarden
Noting down so | don't forget: we can also retry on some HTTP errors, like 5xx errors on listing.

#7 - 07/28/2020 04:29 PM - Ewoud Kohl van Wijngaarden

Perhaps we can also use the #28384 to provide better debug instructions. I've asked @
https://github.com/theforeman/foreman/pull/7220#issuecomment-665141626 if it does.

#8 - 07/30/2020 02:08 PM - Ewoud Kohl van Wijngaarden
- Target version deleted (2.2.0)
- Category set to Foreman modules

- Triaged changed from No to Yes

Removing the milestone since | don't think we'll get to this before 2.2.0 and it shouldn't block.

#9 - 01/18/2021 11:56 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to William Clark

- Pull request https://github.com/theforeman/puppet-foreman/pull/912 added

#10 - 01/27/2021 06:53 PM - The Foreman Bot
- Fixed in Releases 2.4.0 added

#11 - 01/27/2021 07:01 PM - William Clark
- Status changed from Ready For Testing to Closed

Applied in changeset puppet-foreman|d0bfd990b3e84d096e621987b39542369394fe5e.
